---
displayed_sidebar: homepage
---

import ParameterTypes from "@site/src/components/ParameterTypes"

# DeleteResponse

The response returned for a DELETE request.

## Properties

<ParameterTypes parameters={[
  {
    "name": "deleted",
    "type": "`boolean`",
    "description": "Whether the item was deleted successfully.",
    "optional": false,
    "defaultValue": "true",
    "expandable": false,
    "children": []
  },
  {
    "name": "id",
    "type": "`string`",
    "description": "The ID of the deleted item.",
    "optional": false,
    "defaultValue": "",
    "expandable": false,
    "children": []
  },
  {
    "name": "object",
    "type": "`string`",
    "description": "The type of the deleted item.",
    "optional": false,
    "defaultValue": "product-collection",
    "expandable": false,
    "children": []
  }
]} expandUrl="https://docs.medusajs.com/development/entities/repositories#retrieving-a-list-of-records"/>
